Bug 331671 - s-c-firewall fails to start and consumes 100% of one CPU
s-c-firewall fails to start and consumes 100% of one CPU
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-config-firewall (Show other bugs)
rawhide
x86_64 Linux
medium Severity urgent
: ---
: ---
Assigned To: Thomas Woerner
Fedora Extras Quality Assurance
:
: 366231 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-15 00:44 EDT by John Poelstra
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-09 08:43:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
strace (49.85 KB, text/plain)
2007-10-15 00:44 EDT, John Poelstra
no flags Details
tar czf iptables.tar.gz /etc/*/ip*tables* /etc/sysconfig/system-config-{firewall,securitylevel} (7.92 KB, application/x-gzip)
2007-11-05 12:54 EST, Brian Jedsen
no flags Details
ls -Z /etc/*/ip*tables* /etc/sysconfig/system-config-{firewall,securitylevel} > iptables.txt (680 bytes, text/plain)
2007-11-05 12:56 EST, Brian Jedsen
no flags Details
strace of system-config-firewall (1.44 MB, text/plain)
2007-11-08 10:19 EST, Brian Jedsen
no flags Details
strace of system-config-firewall (1.52 MB, text/plain)
2007-11-08 11:12 EST, Brian Jedsen
no flags Details
patch for fw_gui.py in /usr/share/system (1.03 KB, text/x-patch)
2007-11-08 11:59 EST, Thomas Woerner
no flags Details
Patch for fw_gui.py (545 bytes, text/x-patch)
2007-11-08 12:31 EST, Thomas Woerner
no flags Details

  None (edit)
Description John Poelstra 2007-10-15 00:44:01 EDT
Description of problem:
system-config-firewall fails to start and consumes 100% of one CPU on my 4 CPU box.

Version-Release number of selected component (if applicable):
system-config-firewall-tui-1.0.8-1.fc8


How reproducible:
100%

Steps to Reproduce:
1. run system-config-firewall as root or non-priv user
2.
3.
  
Actual results:
Nothing happens

Expected results:
A usable application

Additional info:
Fresh of install of F8T3 s-c-f works fine.  After loading latest rawhide updates
it does not work.

See attached strace
Comment 1 John Poelstra 2007-10-15 00:44:01 EDT
Created attachment 226891 [details]
strace
Comment 2 John Poelstra 2007-10-15 00:44:47 EDT
that should be system-config-firewall-1.0.8-1.fc8 (NOT TUI)
Comment 3 Thomas Woerner 2007-10-15 11:00:16 EDT
Can you please check if there are any errors in /var/log/messages? I can not
reproduce the problem on my rawhide boxes (i386 and x86_64).
Comment 4 John Poelstra 2007-10-15 11:36:34 EDT
there are no errors in /var/log/messages

are you using a purely fresh rawhide install or one that has received a series
of updates? 
Comment 5 Thomas Woerner 2007-10-15 11:43:54 EDT
This is an updated system.
Comment 6 Thomas Woerner 2007-10-16 05:34:18 EDT
The strace output does not show any problem in the program itself, but there are
lots of failures for gtk & co. Can you please try to verify that your desktop is
working and that there are no problems with other applications - especially gtk
apps?
When the program is consuming 100%, can you please attach a debugger and/or
strace to it to see where it is hanging?
Comment 7 John Poelstra 2007-10-16 13:14:19 EDT
My desktop is working fine AFAIK... it is my primary workstation and I use it 
all day/night long :)

My home dir has settings dating back to FC6 and RHEL5... could there be some 
cruft there?  I created a brand new user, but still see same problem.

strace returns nothing for the pid consuming 100% CPU

gdb shows nothing either...
(no debugging symbols found)...done.
Loaded symbols for /usr/lib64/libfam.so.0
Reading symbols from /usr/lib64/libbeagle.so.0...
warning: Missing the separate debug info 
file: /usr/lib/debug/.build-id/e0/7f688ed126b36e9286b8d9a799ed54507add75.debug
(no debugging symbols found)...done.
Loaded symbols for /usr/lib64/libbeagle.so.0
Reading symbols from /usr/lib64/python2.5/site-packages/_kudzumodule.so...
warning: Missing the separate debug info 
file: /usr/lib/debug/.build-id/67/3d456252dd3850dd90f811df295acf9908f5c3.debug
(no debugging symbols found)...done.
Loaded symbols for /usr/lib64/python2.5/site-packages/_kudzumodule.so
Reading symbols from /usr/lib64/python2.5/site-packages/rhpl/iwlib.so...
warning: Missing the separate debug info 
file: /usr/lib/debug/.build-id/91/a8c5414d2f71e5d3c76c504e23d21e8798ddaa.debug
(no debugging symbols found)...done.
Loaded symbols for /usr/lib64/python2.5/site-packages/rhpl/iwlib.so
Reading symbols from /lib64/libiw.so.29...
warning: Missing the separate debug info 
file: /usr/lib/debug/.build-id/b0/e8b56c277a2a47767e278003839019b6641add.debug
(no debugging symbols found)...done.
Loaded symbols for /lib64/libiw.so.29

(no debugging symbols found)
0x0000003995c6c1c4 in PyObject_IsTrue () from /usr/lib64/libpython2.5.so.1.0
Comment 8 Brian Jedsen 2007-11-05 06:31:30 EST
I'm having this exact problem on a system upgraded from a 7.92 livecd.
Comment 9 Thomas Woerner 2007-11-05 08:17:48 EST
Please make a tar archive which contains

/etc/*/ip*tables*
/etc/sysconfig/system-config-{firewall,securitylevel}

and attach it to this bugzilla.

Please also attach the output of

ls -Z /etc/*/ip*tables* /etc/sysconfig/system-config-{firewall,securitylevel}
Comment 10 Brian Jedsen 2007-11-05 12:54:10 EST
Created attachment 248451 [details]
tar czf iptables.tar.gz /etc/*/ip*tables* /etc/sysconfig/system-config-{firewall,securitylevel}
Comment 11 Brian Jedsen 2007-11-05 12:56:04 EST
Created attachment 248461 [details]
ls -Z /etc/*/ip*tables* /etc/sysconfig/system-config-{firewall,securitylevel} > iptables.txt

I thought it might be a permissions problem so I ran fixfiles, but to no avail.
Comment 12 John Poelstra 2007-11-05 12:58:39 EST
sorry, I don't have this config any more so I can't provide the files. 
Hopefully Brian's will be useful.  FWIW, I cannot reproduce this any more from
the GOLD version of F8.
Comment 13 Brian Jedsen 2007-11-05 13:20:51 EST
Please note that if this isn't determined to be a show stopper I can simply upgrade.
Comment 14 Thomas Woerner 2007-11-06 05:38:42 EST
Your configuration is ok - and I still can not reproduce the problem here.

Which versions of the following packages are installed on the machine with the
problem?

python
glibc
kernel
Comment 15 Thomas Woerner 2007-11-08 07:05:41 EST
*** Bug 366231 has been marked as a duplicate of this bug. ***
Comment 16 Brian Jedsen 2007-11-08 09:28:22 EST
# rpm -q python glibc kernel
python-2.5.1-15.fc8
glibc-2.7-2
kernel-2.6.23.1-37.fc8
kernel-2.6.23.1-42.fc8

I'm booted into the latest kernel version.
Comment 17 Thomas Woerner 2007-11-08 09:47:59 EST
This is strange - I have the same versions here and it is working for me.

What happens, if you are pressing Ctrl-C? Do you get a backtrace?
Comment 18 Brian Jedsen 2007-11-08 09:51:53 EST
Ctrl-C will simply kill the program, and only a newline is outputted. Sometimes
the application window will appear, though it is blank when it does, others it
won't.
Comment 19 Thomas Woerner 2007-11-08 10:03:04 EST
Can you please use "strace -f -o /tmp/s-c-f.log system-config-firewall" and
attach the output to this bugzilla?
Comment 20 Brian Jedsen 2007-11-08 10:19:56 EST
Created attachment 251601 [details]
strace of system-config-firewall
Comment 21 Thomas Woerner 2007-11-08 11:01:44 EST
Please make a "strace -f -tt -o /tmp/s-c-f.log system-config-firewall" and wait
a little bit longer.
Comment 22 Brian Jedsen 2007-11-08 11:10:30 EST
I think the problem may be the maximum attachment size?
Comment 23 Brian Jedsen 2007-11-08 11:12:53 EST
Created attachment 251671 [details]
strace of system-config-firewall

I let it run for a couple minutes this time.
Comment 24 Thomas Woerner 2007-11-08 11:56:03 EST
Is system-config-network working for you?
Comment 25 Thomas Woerner 2007-11-08 11:59:19 EST
Created attachment 251821 [details]
patch for fw_gui.py in /usr/share/system

Please ally the patch to fw_gui.py in /usr/share/system-config-firewall.
Using the patched version should output "FOO 1" to "FOO 6"
Comment 26 Brian Jedsen 2007-11-08 12:07:08 EST
I only get to FOO 3 with this patch. system-config-network is working.
Comment 27 Thomas Woerner 2007-11-08 12:31:24 EST
Created attachment 251901 [details]
Patch for fw_gui.py

Please apply this patch - it should solve your problem.
Comment 28 Brian Jedsen 2007-11-08 13:21:16 EST
It works perfectly, but throws an error that the configuration failed, when it
in fact worked (just fyi).

Thanks for your work!
Comment 29 Thomas Woerner 2007-11-09 08:43:58 EST
Fixed in rawhide in package system-config-firewall-1.0.10-1.

Note You need to log in before you can comment on or make changes to this bug.